Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class ChangeComplexRelationTypeRequest

Object
ChangeComplexRelationTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeComplexRelationTypeRequest extends Object implements Serializable
The properties of the Complex Relation Type to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeComplexRelationTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeComplexRelationTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeComplexRelationTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAcronymCode()`
  The new acronym code for the Complex Relation Type.
  `List<ComplexRelationAttributeTypeRequest>`
  `getAttributeTypes()`
  The new list of attribute types for the Complex Relation Type.
  `String`
  `getColor()`
  The color of the symbol, in a hex format e.g.
  `String`
  `getDescription()`
  The new description for the Complex Relation Type.
  `String`
  `getIconCode()`
  The new icon code for the Complex Relation Type.
  `UUID`
  `getId()`
  Required. The ID of the Complex Relation Type to be changed.
  `List<ComplexRelationLegTypeRequest>`
  `getLegTypes()`
  The new list of leg types for the Complex Relation Type.
  `String`
  `getName()`
  The new name for the Complex Relation Type.
  `String`
  `getPublicId()`
  The new public id for the Complex Relation Type.
  `AssetTypeSymbolType`
  `getSymbolType()`
  The new symbol type.
  `int`
  `hashCode()`
  `void`
  `setAcronymCode(String acronymCode)`
  The new acronym code for the Complex Relation Type.
  `void`
  `setAttributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)`
  The new list of attribute types for the Complex Relation Type.
  `void`
  `setColor(String color)`
  The color of the symbol, in a hex format e.g.
  `void`
  `setDescription(String description)`
  The new description for the Complex Relation Type.
  `void`
  `setIconCode(String iconCode)`
  The new icon code for the Complex Relation Type.
  `void`
  `setId(UUID id)`
  Required. The ID of the Complex Relation Type to be changed.
  `void`
  `setLegTypes(List<ComplexRelationLegTypeRequest> legTypes)`
  The new list of leg types for the Complex Relation Type.
  `void`
  `setName(String name)`
  The new name for the Complex Relation Type.
  `void`
  `setPublicId(String publicId)`
  The new public id for the Complex Relation Type.
  `void`
  `setSymbolType(AssetTypeSymbolType symbolType)`
  The new symbol type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeComplexRelationTypeRequest

    public ChangeComplexRelationTypeRequest()

- ## Method Details

  - ### builder

    public static ChangeComplexRelationTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the Complex Relation Type to be changed.

  - ### getPublicId

    public String getPublicId()
    The new public id for the Complex Relation Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### getName

    public String getName()
    The new name for the Complex Relation Type.

  - ### getDescription

    public String getDescription()
    The new description for the Complex Relation Type.

  - ### getColor

    public String getColor()
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

  - ### getSymbolType

    public AssetTypeSymbolType getSymbolType()
    The new symbol type.

  - ### getIconCode

    public String getIconCode()
    The new icon code for the Complex Relation Type.

  - ### getAcronymCode

    public String getAcronymCode()
    The new acronym code for the Complex Relation Type.

  - ### getAttributeTypes

    public List<ComplexRelationAttributeTypeRequest> getAttributeTypes()
    The new list of attribute types for the Complex Relation Type.

  - ### getLegTypes

    public List<ComplexRelationLegTypeRequest> getLegTypes()
    The new list of leg types for the Complex Relation Type.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the Complex Relation Type to be changed.

  - ### setPublicId

    public void setPublicId(String publicId)
    The new public id for the Complex Relation Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### setName

    public void setName(String name)
    The new name for the Complex Relation Type.

  - ### setDescription

    public void setDescription(String description)
    The new description for the Complex Relation Type.

  - ### setColor

    public void setColor(String color)
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

  - ### setSymbolType

    public void setSymbolType(AssetTypeSymbolType symbolType)
    The new symbol type.

  - ### setIconCode

    public void setIconCode(String iconCode)
    The new icon code for the Complex Relation Type.

  - ### setAcronymCode

    public void setAcronymCode(String acronymCode)
    The new acronym code for the Complex Relation Type.

  - ### setAttributeTypes

    public void setAttributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)
    The new list of attribute types for the Complex Relation Type.

  - ### setLegTypes

    public void setLegTypes(List<ComplexRelationLegTypeRequest> legTypes)
    The new list of leg types for the Complex Relation Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`